CAD Forum - Database of tips, tricks and utilities for AutoCAD, Inventor and other Autodesk products [www.cadforum.cz]
CZ | EN | DE
Login or
registration
  Visitors: 9221
RSS channel - CAD tips RSS tips
RSS discussions

Discussion Discussion forum

 

HelpCAD discussion

 
CAD Forum - Homepage CAD discussion forum - ask any CAD-related questions here, share your CAD knowledge on AutoCAD, Inventor, Revit and other Autodesk software with your peers from all over the world. To start a new topic, choose an appropriate forum.

Please abide by the rules of this forum.

How to post questions: register or login, go to the specific forum and click the NEW TOPIC button.
  FAQ FAQ  Forum Search   Events   Register Register  Login Login

Topic Closedautolisp need help

 Post Reply Post Reply
Author
samlimct View Drop Down
Newbie
Newbie


Joined: 30.Apr.2008
Location: United Kingdom
Status: Offline
Points: 16
Direct Link To This Post Topic: autolisp need help
    Posted: 30.May.2008 at 10:29
(DEFUN C:Gq (/)
  (GRAPHSCR) ; CHANGE TO GRAPHIC SCREEN
  (SETQ L ( GETREAL" ENTER LENGTH OF GASKETS " )) (terpri)

  (setq cog ( getpoint " enter corner of gasket " )) (terpri)
  (setq x1 (car cog )) (terpri)
  (setq y1 (cadr cog )) (terpri)
  (setq x2 (+ x1 L)) (terpri)
  (setq x3 (+ x1 L (/ L 2 ))) (terpri)
  (setq x4 (+ x1 (/ L 2 ))) (terpri)
  (setq ang (sin ( / pi 3 )))(terpri)
  (setq height1 (* L ang )) (terpri)
  (setq y3 ( + y1 height1)) (terpri)
  (setq y4 ( + y1 height1)) (terpri)
  (setq pnt1 ( list x2 y1 )) (terpri)
  (setq pnt2 (list x3 y3 )) (terpri)
  (setq pnt3 (list x4 y4 )) (terpri)
 
  (command "line" cog pnt1 pnt2 pnt3 "c" "" ) (terpri)

     (prompt " change polyline")(terpri)
  (command " pedit"  "m" (ssget) "" "y" "j" cog pnt1 pnt2 pnt3 "")(terpri)
  )


 HI good morning all,

i'm autolisp beginner. i had write the program on  the top but i trying to change the line into polyline. but doest'nt work. anyone can help to have a  check.
thanks very much....
 
sam
Back to Top
maungthantzinoo View Drop Down
Newbie
Newbie


Joined: 21.May.2008
Location: Singapore
Status: Offline
Points: 7
Direct Link To This Post Posted: 03.Jun.2008 at 11:45
You try below lisp instead of your...

(command
"pedit" "m" (ssget) "" "y" "j" "" "")(terpri)
  )




Back to Top
samlimct View Drop Down
Newbie
Newbie


Joined: 30.Apr.2008
Location: United Kingdom
Status: Offline
Points: 16
Direct Link To This Post Posted: 03.Jun.2008 at 17:36
hi

your program only can be separate use for changing to polyline but does'nt work together with my grasket line.
anyway thanks for your help

sam
Back to Top

Related CAD tips:


 Post Reply Post Reply
  Share Topic   

Forum Jump Forum Permissions View Drop Down



This page was generated in 0,367 seconds.